package org.tzd.frida.windows;

/**
 * 当 JavaScript 代码执行或语法出错时抛出此异常。
 * <p>此异常用于处理与 JavaScript 代码相关的错误，例如代码执行失败或语法错误。</p>
 * <p>通过该异常，程序能够捕获并处理 JavaScript 代码运行过程中可能出现的问题。</p>
 *
 * @author tzdwindows 7
 * @since 1.0
 * @version 1.0
 */
public class JsCodeError extends Exception {

    /**
     * 默认构造方法。
     * <p>调用父类 {@link Exception} 的默认构造方法。</p>
     */
    public JsCodeError() {
        super();
    }

    /**
     * 带有错误信息的构造方法。
     * <p>使用传入的错误信息来初始化异常。</p>
     *
     * @param message 错误信息，用于描述异常的具体内容。
     */
    public JsCodeError(String message) {
        super(message);  // 调用父类构造器，传入错误信息
    }
}
